[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
gettext 0.23.1 xgettext-its-2 FAIL
From: |
Simon Josefsson |
Subject: |
gettext 0.23.1 xgettext-its-2 FAIL |
Date: |
Tue, 07 Jan 2025 00:02:11 +0100 |
User-agent: |
Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux) |
Hi
Gettext 0.23.1 builds fine as a Debian package. However when building
in a special way by the "reprotest" suite (a QA tool for reproducability
checking) on Salsa CI, there is self-test failure. Most likely
something in the intentionall "strange" second build environment that
"reprotest" sets up is disturbing this self-check, causing the failure.
Alas the VERBOSE=1 output is really thin:
...
Skipping test: tclsh not found or Tcl too old
SKIP msgunfmt-tcl-1 (exit status: 77)
SKIP: xgettext-16
=================
Skipping test: rxgettext not found
SKIP xgettext-16 (exit status: 77)
FAIL: xgettext-its-2
====================
FAIL xgettext-its-2 (exit status: 1)
SKIP: xgettext-ruby-1
...
I managed to inject some commands before running 'dh_auto_test' that
invokes 'make check', ugly hack like this:
override_dh_auto_test:
find
./gettext-tools/tests/xgettext-its-2; echo rc $$?
cd ./gettext-tools/tests/ && ./xgettext-its-2; echo rc $$?
cd ./gettext-tools/tests/ && sh -x ./xgettext-its-2; echo rc $$?
dh_auto_test
The final failing run results in the output below (after it does some
successful attempts earlier). Unfortunately it doesn't give me a lot of
additional ideas. Can you think of any useful command to run to
continue debug this situation?
Complete output is here, although the 'find' makes it rather hard to
scroll (be sure to click on 'View raw' or 'full log' to see it all):
https://salsa.debian.org/jas/gettext-experimental/-/jobs/6873381
Running this requires around 40 minutes of Salsa CI churn, and setting
up the same environment locally for testing seems complicated, so I'm
hoping to get help to debug this in some clever way. Maybe as a first
step the self-test could be improved to log more on tool failures?
/Simon
cd ./gettext-tools/tests/ && sh -x ./xgettext-its-2; echo rc $?
+ . ./init.sh
+ expr ././xgettext-its-2 : .*/\(.*\)$
+ ME_=xgettext-its-2
+ test != set
+ PATH_SEPARATOR=:
+ : 2
+ DUALCASE=1
+ export DUALCASE
+ test -n
+ gl_shell_test_script_=
test $(echo y) = y || exit 1
LC_ALL=en_US.UTF-8 printf "\\351" 2>/dev/null \
| LC_ALL=C tr "\\351" x | LC_ALL=C grep "^x$" > /dev/null \
|| exit 1
printf "\\351" 2>/dev/null \
| LC_ALL=C tr "\\351" x | LC_ALL=C grep "^x$" > /dev/null \
|| exit 1
f_local_() { local v=1; }; f_local_ || exit 1
f_dash_local_fail_() { local t=$(printf " 1"); }; f_dash_local_fail_
score_=10
if test "$VERBOSE" = yes; then
test -n "$( (exec 3>&1; set -x; P=1 true 2>&3) 2> /dev/null)" && score_=9
fi
test -z "$EXEEXT" && exit $score_
shopt -s expand_aliases
alias a-b="echo zoo"
v=abx
test ${v%x} = ab \
&& test ${v#a} = bx \
&& test $(a-b) = zoo \
&& exit $score_
+ test x = x--no-reexec
+ gl_set_x_corrupts_stderr_=false
+ export gl_set_x_corrupts_stderr_
+ marginal_=
+ test __current__ = no_shell
+ test __current__ = fail
+ test __current__ = __current__
+ st_=10
+ test 10 = 10
+ gl_set_x_corrupts_stderr_=false
+ break
+ test __current__ != __current__
+ test -n
+ test -n
+ : 87
+ export MALLOC_PERTURB_
+ test -f /bin/sh
+ BOURNE_SHELL=/bin/sh
+ test -u != no
+ exec
+ diff_out_=
+ break
+ test -u != no
+ test -z
+ test -f ./init.cfg
+ . ./init.cfg
+ . ../tests/init-env
+ top_builddir=../..
+ OBJEXT=o
+ EXEEXT=
+ CC=gcc
+ CFLAGS=-g -O2 -Werror=implicit-function-declaration
-ffile-prefix-map=/tmp/reprotest.LHZGCO/const_build_path/const_build_path=.
-fstack-protector-strong -fstack-clash-protection -Wformat
-Werror=format-security -fcf-protection
+ CXX=g++
+ CXXFLAGS=-g -O2
-ffile-prefix-map=/tmp/reprotest.LHZGCO/const_build_path/const_build_path=.
-fstack-protector-strong -fstack-clash-protection -Wformat
-Werror=format-security -fcf-protection
+ OBJC=gcc
+ OBJCFLAGS=-g -O2
-ffile-prefix-map=/tmp/reprotest.LHZGCO/const_build_path/const_build_path=.
-fstack-protector-strong -fstack-clash-protection -Wformat
-Werror=format-security -fcf-protection
+ CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2
+ LDFLAGS=-Wl,-z,relro -Wl,-z,now
+ LTLIBINTL=
+ JAVA_CHOICE=yes
+ BUILDJAVA=yes
+ TESTJAVA=yes
+ CSHARP_CHOICE=any
+ BUILDCSHARP=no
+ TESTCSHARP=no
+ TESTLIBASPRINTF=yes
+ GLIBC2=yes
+ LOCALE_FR=fr_FR
+ LOCALE_FR_UTF8=fr_FR.UTF-8
+ LOCALE_JA=ja_JP.EUC-JP
+ LOCALE_DE_UTF8=de_DE.UTF-8
+ host_os=linux-gnu
+ ARCHIVE_VERSION=0.23.1
+ wabs_srcdir=
+ wabs_top_srcdir=
+ GETTEXTDATADIR=
+ export GETTEXTDATADIR
+ GETTEXTSTYLESDIR=/styles
+ export GETTEXTSTYLESDIR
+ : tstgettext
+ : tstngettext
+ : xgettext
+ : msgattrib
+ : msgcat
+ : msgcmp
+ : msgcomm
+ : msgconv
+ : msgen
+ : msgexec
+ : msgfilter
+ : msgfmt
+ : msggrep
+ : msginit
+ : msgmerge
+ : msgunfmt
+ : msguniq
+ : recode
+ setup_
+ test = yes
+
initial_cwd_=/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests
+ testdir_prefix_
+ printf gt
+ pfx_=gt
+ mktempd_
/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests
gt-xgettext-its-2.XXXX
+
destdir_=/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests
+ template_=gt-xgettext-its-2.XXXX
+ MAX_TRIES_=4
+
destdir_slash_=/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/
+ unset TMPDIR
+
d=/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/gt-xgettext-its-2.Ode0
+ :
+ test -d
/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/gt-xgettext-its-2.Ode0
+ ls -dgo
/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/gt-xgettext-its-2.Ode0
+ perms=drwx------ 2 4096 7. jaan 10:42
/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/gt-xgettext-its-2.Ode0
+ :
+ echo
/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/gt-xgettext-its-2.Ode0
+ return
+
test_dir_=/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/gt-xgettext-its-2.Ode0
+ cd
/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/gt-xgettext-its-2.Ode0
+ srcdir=../.
+ builddir=..
+ export srcdir builddir
+ gl_init_sh_nl_=
+ IFS=
+ expr 1 + 128
+ eval trap 'Exit 129' 1
+ trap Exit 129 1
+ expr 2 + 128
+ eval trap 'Exit 130' 2
+ trap Exit 130 2
+ expr 3 + 128
+ eval trap 'Exit 131' 3
+ trap Exit 131 3
+ expr 13 + 128
+ eval trap 'Exit 141' 13
+ trap Exit 141 13
+ expr 15 + 128
+ eval trap 'Exit 143' 15
+ trap Exit 143 15
+ saved_IFS=
+ IFS=:
+ new_PATH=
+ IFS=
+ test -d /usr/local/sbin/.
+ new_PATH=/usr/local/sbin
+ IFS=
+ test -d /usr/local/bin/.
+ new_PATH=/usr/local/sbin:/usr/local/bin
+ IFS=
+ test -d /usr/sbin/.
+ new_PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin
+ IFS=
+ test -d /usr/bin/.
+ new_PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
+ IFS=
+ test -d /sbin/.
+ new_PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin
+ IFS=
+ test -d /bin/.
+ new_PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
+ IFS=
+ PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
+ export PATH
+ trap remove_tmp_ EXIT
+ path_prepend_ . ../src
+ test 2 != 0
+ path_dir_=.
+
abs_path_dir_=/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/.
+
PATH=/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/.:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
+ create_exe_shims_
/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/.
+ return 0
+ shift
+ test 1 != 0
+ path_dir_=../src
+
abs_path_dir_=/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/../src
+
PATH=/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/../src:/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/.:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
+ create_exe_shims_
/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/../src
+ return 0
+ shift
+ test 0 != 0
+ export PATH
+ test -d a
+ mkdir a
+ base=a
+ expr a : x
+ test -d a/its
+ mkdir a/its
+ cat
+ cat
+ cat
+ test -d b
+ mkdir b
+ base=b
+ expr b : x
+ test -d b/its
+ mkdir b/its
+ cat
+ cat
+ cat
+ test -d c
+ mkdir c
+ base=c
+ expr c : x
+ test -d c/its
+ mkdir c/its
+ cat
+ cat
+ cat
+ test -d xa
+ mkdir xa
+ base=xa
+ expr xa : x
+ test -d xa/gettext
+ mkdir xa/gettext
+ base=xa/gettext
+ test -d xa/gettext/its
+ mkdir xa/gettext/its
+ cat
+ cat
+ cat
+ test -d xb
+ mkdir xb
+ base=xb
+ expr xb : x
+ test -d xb/gettext
+ mkdir xb/gettext
+ base=xb/gettext
+ test -d xb/gettext/its
+ mkdir xb/gettext/its
+ cat
+ cat
+ cat
+ test -d xc
+ mkdir xc
+ base=xc
+ expr xc : x
+ test -d xc/gettext
+ mkdir xc/gettext
+ base=xc/gettext
+ test -d xc/gettext/its
+ mkdir xc/gettext/its
+ cat
+ cat
+ cat
+ : xgettext
+ unset GETTEXTDATADIR
+ unset GETTEXTDATADIRS
+ unset XDG_DATA_DIRS
+ LC_MESSAGES=C xgettext -o /dev/null input.a
+ grep is unknown; will try C
+ result=1
+ test 1 = 0
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test = yes
+ cd /tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests
+ chmod -R u+rwx
/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/gt-xgettext-its-2.Ode0
+ rm -rf
/tmp/reprotest.LHZGCO/const_build_path/const_build_path/gettext-tools/tests/gt-xgettext-its-2.Ode0
+ exit 1
rc 1
signature.asc
Description: PGP signature
- gettext 0.23.1 xgettext-its-2 FAIL,
Simon Josefsson <=